package com.chelvc.framework.redis.cache;

/**
 * 缓存前缀
 *
 * @author 七仔
 * @date 2023/7/11
 */
public enum CachePrefix {

    /**
     * 热门搜索
     */
    HOT_WORD;

    public static String removePrefix(String str) {
        return str.substring(str.lastIndexOf("}_") + 2);
    }

    /**
     * 通用获取缓存key值
     *
     * @return 缓存key值
     */
    public String getPrefix() {
        return "{" + this.name() + "}_";
    }
}
